VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType` enumerated type* provides enumeration values for the set of valid authentication scheme types. Constant Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType::SESSIONLESS # Indicates that the scheme is a session less authentication scheme, the user is authenticated on every method . There is no explicit session establishment. Constant Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType::SESSION_AWARE # Indicates that the scheme is a session aware authentication scheme. It requires an explicit login before executing a method and logout when a session terminates. A interface* might choose to have a session aware scheme if it wants to associate some state corresponding to the user until the user logs out or if it wants to mitigate the cost of authenticating the user on every method .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vapi.metadata.authentication.authentication_info.scheme_type',
'binding_class' => 'Com::Vmware::Vapi::Metadata::Authentication::AuthenticationInfo::SchemeType');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/AuthenticationInfo.pm